#!/bin/sh
#set -x
# Aenderung des Standortes in Kategorie 0016 Titeldaten.
#
# Aufruf mit zwei Argumenten, Reihenfolge wichtig (!): 
#    skriptname  neuer_standort  name_der_trefferliste
#
# Aenderungen:
# - ca. 03/2006: Erstfassung
# - 05/2007: die per KC/EC angelegten Trefferlisten erhalten jetzt die
#            Endung .TIT, war vorher .unl, entsprechend hier angepasst

###### Anpassen! ######
DATABASE=xxx
CATSERVER_ROOT=/home/sokrates/catserver

tmpdir='.'  # Verzeichnis zur Ablage einer temporaeren Ladedatei
#######################
tmpvws="tmp$$.VWS"  # Name der temp. Ladedatei

DB_ID=$DATABASE
export DATABASE DB_ID
export CATSERVER_ROOT

# IMX-Umgebung setzen
. $CATSERVER_ROOT/imx/etc/environment
KONKORDANZ_SIG=$CATSERVER_ROOT/imx/etc/param/SIGTAB.TXT
export KONKORDANZ_SIG

if test $# -ne 2
then
    echo "Abbruch: falsche Syntax des Aufrufs!"
    echo "Aufruf:  $0  neuer_standort  name_der_trefferliste"
    exit 2
fi
neu="$1"
treffer="$2"

# Gibt es die angegebene Trefferliste wirklich?
if test ! -f $CATSERVER_SPOOL/download/Tm${treffer}.TIT
then
    echo "Abbruch: Trefferliste $treffer nicht gefunden!"
    exit 2
fi
# Pruefung des neuen Standortes?
# ???

# IMX-Ladedatei aus der Trefferliste erstellen
awk '/^0 / { print "0000:" $2;
             print "0016.001:" neu;
             printf "9999:\n\n"; }' neu="$neu" \
    $CATSERVER_SPOOL/download/Tm${treffer}.TIT > $tmpdir/$tmpvws

# Aufruf von SIKMASS, Laden der erstellten Datei
echo "Aendern des Standortes in Kategorie 0016 ..."
$SIKMASSROOT/bin/prg/SIKMASS $tmpdir/$tmpvws -1 -JNNJNJN -u 000

# Aufruf von INDMASS, Aktualisieren der Woerterbucheintraege.
# Den Aufruf evtl. auskommentieren, falls sowieso schon ein Neuaufbau
# des Titelworerterbuches geplant ist, weil z.B. mit standort.pl
# Buchdatensignaturen geaendert wurden (Kategorie 9902).
echo "Anpassen der Woerterbucheintraege ..."
$SIKMASSROOT/bin/prg/INDMASS -1 -31.12.9999 -12:00:00

# Aufraeumen:
# Temp. Ladedatei wird bei Erfolg bereits von SIKMASS geloescht
